Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::FunctionForImplicitManifold Struct Reference

The concept FunctionForImplicitManifold describes the requirements for a type to implement an implicit function class used for example in Manifold_tracing. More...

`#include <concept/Coxeter_triangulation/FunctionForImplicitManifold.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point 'p'.
std::size_t | amb_d () const
| Returns the domain (ambient) dimension.
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the zero-set of the function.

## Detailed Description

The concept FunctionForImplicitManifold describes the requirements for a type to implement an implicit function class used for example in Manifold_tracing.

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::FunctionForImplicitManifold::operator() | ( | const Eigen::VectorXd & | p | ) | const

Value of the function at a specified point 'p'.

Parameters

  [in] | p | The input point given by its Cartesian coordinates. Its size needs to be equal to amb_d().

The documentation for this struct was generated from the following file:

- concept/Coxeter_triangulation/FunctionForImplicitManifold.h